import java.util.*;

public class NamestanjeGlasova {

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int glasovi = in.nextInt();
        int brScenarija = in.nextInt();

        int nizGlasova[] = new int[glasovi];
        int nizZeljenihBrojevaGlasova[] = new int[brScenarija];
        int nizResenja[] = new int[brScenarija];
        int medijanaIndex;

        Vector<Integer> vektorGlasova = new Vector<>();

        for (int i = 0; i < glasovi; i++) {
            nizGlasova[i] = in.nextInt();
            vektorGlasova.add(nizGlasova[i]);
        }
        Arrays.sort(nizGlasova);
        Collections.sort(vektorGlasova);

        for (int i = 0; i < brScenarija; i++) {
            nizZeljenihBrojevaGlasova[i] = in.nextInt();

            medijanaIndex = nizGlasova.length / 2;
            while (vektorGlasova.get(medijanaIndex) != nizZeljenihBrojevaGlasova[i]) {
                vektorGlasova.add(nizZeljenihBrojevaGlasova[i]);
                Collections.sort(vektorGlasova);

                medijanaIndex = vektorGlasova.size() / 2;
                nizResenja[i]++;
            }
            vektorGlasova.clear();
            for (int j = 0; j < glasovi; j++) {
                vektorGlasova.add(nizGlasova[j]);
            }
        }

        for (int i = 0; i < nizResenja.length; i++) {
            System.out.println(nizResenja[i]);
        }
    }
}